<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <%= link_to 'Blog++', root_path, class: "navbar-brand", id: "logo" %>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active d-none">
        <%= link_to 'Articles', articles_path, class: "nav-link" %>
      </li>
      <li class="nav-item">
        <%= link_to 'Users', users_path, class: "nav-link" %>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Articles
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <% if logged_in? %>
            <%= link_to 'Create new article', new_article_path, class: "dropdown-item" %>
          <% end %>
          <%= link_to 'List of Articles', articles_path, class: "dropdown-item" %>
        </div>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Categories
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <% if logged_in? and current_user.admin? %>
            <%= link_to 'Create new category', new_category_path, class: "dropdown-item" %>
          <% end %>
          <%= link_to 'List of Categories', categories_path, class: "dropdown-item" %>
        </div>
      </li>

      <% if logged_in? %>

        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <%= "(Admin)" if current_user.admin? %> <%= current_user.username %>
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <%= link_to 'View profile', user_path(current_user), class: "dropdown-item" %>
            <%= link_to 'Edit profile', edit_user_path(current_user), class: "dropdown-item" %>
            <%= link_to 'Delete profile', user_path(current_user), method: :delete, class: "dropdown-item text-danger", data: {confirm: 'Are you sure?'} %>
          </div>
        </li>
        <li class="nav-item">
          <%= link_to 'Log out', logout_path, class: "nav-link", method: :delete %>
        </li>
      <% else %>
        <li class="nav-item">
          <%= link_to 'Log in', login_path, class: "nav-link" %>
        </li>
        <li class="nav-item">
          <%= link_to 'Sign up', signup_path, class: "nav-link" %>
        </li>
      <% end %>
    </ul>
    <form class="form-inline my-2 my-lg-0">
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    </form>
  </div>
</nav>